java.nio.channels

## Class ClosedChannelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.channels.ClosedChannelException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AsynchronousCloseException

    public class ClosedChannelException
    extends IOException

Checked exception thrown when an attempt is made to invoke or complete an I/O operation upon channel that is closed, or at least closed to that operation. That this exception is thrown does not necessarily imply that the channel is completely closed. A socket channel whose write half has been shut down, for example, may still be open for reading.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClosedChannelException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClosedChannelException

    public ClosedChannelException()

Constructs an instance of this class.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.